
native bte_npc_register_class(name[],model[],health,speed,sex,modelindex,money,skilltime,damage)
native bte_npc_get_class(iEnt)
native bte_npc_set_think(iEnt, think)
native bte_npc_get_think(iEnt)

forward bte_npc_think(iEnt)
forward bte_npc_create(iEnt)
forward bte_npc_dead(iEnt,iAttacker,isRoundEnd)

enum _:THINK(+=1) {		
	THINK_NONE = 1,
	THINK_SPAWN,
	THINK_PLAYER,
	THINK_WAYPOINT,
	THINK_ATTACKING,
	THINK_DEATH
	

}
new const   ANIM_DEAD=2
new const	ANIM_ATTACK_RUN=14

enum _:ANIM(+=1) {		
	ANIM_IDLE = 3,
	ANIM_WALK,
	ANIM_RUN

}
enum _:SEX(+=1) {		
	MALE = 0,
	FEMALE
}

